# Uses of Class
org.eclipse.ui.application.WorkbenchAdvisor

Packages that use WorkbenchAdvisor
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of WorkbenchAdvisor in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type WorkbenchAdvisor
Modifier and Type
Method
Description
`static int`
PlatformUI.`createAndRunWorkbench(Display display, WorkbenchAdvisor advisor)`
Creates the workbench and associates it with the given display and workbench advisor, and runs the workbench UI.